public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Arthur Zamarin" <arthurzam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/libtmux/
Date: Sat,  9 Sep 2023 17:29:46 +0000 (UTC)	[thread overview]
Message-ID: <1694280577.779b7439154d85e3ca8ca2ae514d53ee4f866742.arthurzam@gentoo> (raw)

commit:     779b7439154d85e3ca8ca2ae514d53ee4f866742
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Sat Sep  9 17:25:13 2023 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Sat Sep  9 17:29:37 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=779b7439

dev-python/libtmux: add 0.23.2

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/libtmux/Manifest              |  1 +
 dev-python/libtmux/libtmux-0.23.2.ebuild | 56 ++++++++++++++++++++++++++++++++
 2 files changed, 57 insertions(+)

diff --git a/dev-python/libtmux/Manifest b/dev-python/libtmux/Manifest
index 3661ca7af87a..814aa53c4721 100644
--- a/dev-python/libtmux/Manifest
+++ b/dev-python/libtmux/Manifest
@@ -1,3 +1,4 @@
 DIST libtmux-0.21.0.gh.tar.gz 267484 BLAKE2B 36d7af1bd90ff5a9639587d79f49643eec1e218d3b1839f5febdd9b6b402886e577b15c920cf458ecb14b4e6d532955b6d71ecf932060e6f8ba32193d6bb0162 SHA512 27000581396d79665e34b67a9e59bf639ca0fbd855ada9648750750e41e732cdcde15a05c6548993f08a8637783ddb478de24b75d5c18a198541c36b4b08b9cc
 DIST libtmux-0.22.1.gh.tar.gz 266173 BLAKE2B 743d43fcebfb0058c9ff13f0fb9ad811403f85bf80dd68dbeead86fe079b4176db15c9bf0a8dd48fae67cb9fa968633595a51e6fcf6091bff54df911d2dd17bf SHA512 f056ecbf793cd90bb60d50252c78eb67a8312eb3eda92d68ff69ed85270f23c9d4489789438fb9d228600320a2afb64a29a70c00a415604b65079167381c46d6
 DIST libtmux-0.23.0.gh.tar.gz 267917 BLAKE2B 55b564ca517b346cdcb81b114cb62d3a10d94aad7be54b5172669a4c42f9d01d54c467ba32d818ec4851ae148bc0cadf174e47f5026a5025d015bc1e294802d9 SHA512 28b2b356e2f774085ffd03a1c63b1b7d6ece24765c54728a3e71fabe7b46b15f61a0a0263366bb67dfc440129c07cb6ff6f6dc6141b8d1f2e9fe96fc05b8b88a
+DIST libtmux-0.23.2.gh.tar.gz 268237 BLAKE2B a5e7aece4d7160f87c48c2c02371c6d6b423aad979d91683561b1d8a7f750c626b522af5d1d97157c536adfd612948750433e77faaeb633343af37648bc9bf01 SHA512 f8952cffa94fcf9b345275d3d5e59ea0a164bbcb93aacbd2820c8127b34526635d7b9a25f5684cd385744b1de626b8bce19d2c735579c2bdffed6a17c9f8f394

diff --git a/dev-python/libtmux/libtmux-0.23.2.ebuild b/dev-python/libtmux/libtmux-0.23.2.ebuild
new file mode 100644
index 000000000000..dccbde0811b2
--- /dev/null
+++ b/dev-python/libtmux/libtmux-0.23.2.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{9..12} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Python API for tmux"
+HOMEPAGE="
+	https://libtmux.git-pull.com/
+	https://github.com/tmux-python/libtmux/
+	https://pypi.org/project/libtmux/
+"
+SRC_URI="
+	https://github.com/tmux-python/libtmux/archive/v${PV}.tar.gz
+		-> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+
+RDEPEND="
+	>=app-misc/tmux-3.0a
+"
+BDEPEND="
+	test? (
+		dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+		dev-python/pytest-mock[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+	libtmux/pane.py::libtmux.pane.Pane.send_keys
+	tests/legacy_api/test_test.py
+)
+
+python_prepare_all() {
+	local issues="https://github.com/tmux-python/libtmux/issues/"
+	sed -r -i "s|:issue:\`([[:digit:]]+)\`|\`issue \1 ${issues}\1\`|" CHANGES || die
+	rm requirements/{doc,dev}.txt || die
+
+	# increase timeouts for tests
+	sed -e 's/0.01/0.1/' -i tests/test_test.py || die
+
+	sed -e '/addopts/s:--doctest-docutils-modules::' \
+		-e '/README\.md/d' \
+		-i setup.cfg || die
+
+	distutils-r1_python_prepare_all
+}


             reply	other threads:[~2023-09-09 17:29 UTC|newest]

Thread overview: 77+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-09-09 17:29 Arthur Zamarin [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-06-15 19:15 [gentoo-commits] repo/gentoo:master commit in: dev-python/libtmux/ Michał Górny
2024-05-27 18:33 Arthur Zamarin
2024-04-22  3:40 Michał Górny
2024-03-25  4:47 Michał Górny
2024-03-24 16:22 Michał Górny
2024-03-17 20:55 Patrick McLean
2024-03-17 17:13 Patrick McLean
2024-03-17 16:24 Michał Górny
2024-03-17 16:24 Michał Górny
2024-03-17 16:24 Michał Górny
2024-03-02  6:43 Michał Górny
2024-02-16 23:15 Patrick McLean
2024-02-16 21:52 Patrick McLean
2024-02-15  1:36 Patrick McLean
2024-02-15  1:36 Patrick McLean
2024-02-07 18:22 Patrick McLean
2024-02-07 18:22 Patrick McLean
2023-11-28  0:36 Patrick McLean
2023-11-28  0:36 Patrick McLean
2023-10-03  2:09 Sam James
2023-08-21 16:39 Patrick McLean
2023-06-01 21:11 Patrick McLean
2023-04-10 21:05 Patrick McLean
2023-02-20 20:10 Arthur Zamarin
2023-01-30  7:15 Michał Górny
2023-01-26 18:37 Patrick McLean
2023-01-21 16:25 Michał Górny
2023-01-21 13:40 Arthur Zamarin
2023-01-08 20:05 Patrick McLean
2023-01-08 20:05 Patrick McLean
2023-01-08 20:05 Patrick McLean
2023-01-05  7:14 Patrick McLean
2022-12-13 18:32 Patrick McLean
2022-12-02 15:23 Michał Górny
2022-11-08  4:54 Jakov Smolić
2022-11-05 20:35 Arthur Zamarin
2022-10-31 15:49 Michał Górny
2022-09-25  7:21 Arthur Zamarin
2022-09-20  5:37 Michał Górny
2022-09-20  0:07 Sam James
2022-09-18 18:18 Michał Górny
2022-09-06 21:12 Sam James
2022-08-17 18:28 Arthur Zamarin
2022-08-06 13:09 Arthur Zamarin
2022-08-05 18:50 Arthur Zamarin
2022-08-05 18:50 Arthur Zamarin
2022-08-01 11:07 Michał Górny
2022-05-24 18:50 Patrick McLean
2022-05-24 18:50 Patrick McLean
2022-03-15 14:14 Michał Górny
2022-03-15 11:52 Jakov Smolić
2022-01-29 19:42 Patrick McLean
2021-08-07 14:43 Sam James
2021-07-06  8:09 Michał Górny
2021-06-15 17:57 Patrick McLean
2020-12-19 21:57 Michał Górny
2020-12-19 19:36 Sam James
2020-12-16 11:51 Michał Górny
2020-11-08  3:31 Patrick McLean
2020-10-18 16:02 Thomas Deutschmann
2020-10-04 23:45 Sam James
2020-08-18  0:59 Patrick McLean
2020-07-31  3:47 Sam James
2020-07-30 19:39 Sam James
2020-07-29 18:18 Sam James
2020-04-30 23:18 Patrick McLean
2020-04-28 15:41 Mikle Kolyada
2020-04-28 13:12 Agostino Sarubbo
2020-04-28  2:21 Patrick McLean
2020-02-16 19:59 Patrick McLean
2020-02-13 18:05 Patrick McLean
2020-02-13 18:05 Patrick McLean
2020-02-05 16:24 Michał Górny
2019-09-11  0:58 Patrick McLean
2019-08-11 11:31 David Seifert
2019-05-10 17:57 Patrick McLean

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1694280577.779b7439154d85e3ca8ca2ae514d53ee4f866742.arthurzam@gentoo \
    --to=arthurzam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox